Name: x11-driver-video-mach64
Version: 6.9.5
Release: %mkrel 6
Epoch: 1
Summary: X.org driver for ATI Mach64
Group: System/X11
URL: http://xorg.freedesktop.org
Source: http://xorg.freedesktop.org/releases/individual/driver/xf86-video-mach64-%{version}.tar.bz2
# From Fedora:
Patch0:	    mach64-6.8.1-defaultdepth.patch

License: MIT

BuildRequires: libdrm-devel >= 2.0
BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: x11-server-devel >= 1.0.1
BuildRequires: x11-util-macros >= 1.0.1
BuildRequires: GL-devel

Requires: x11-server-common %(xserver-sdk-abi-requires videodrv)

Conflicts: xorg-x11-server < 7.0
Conflicts: x11-driver-video-ati <= 1:6.8.0

%description
x11-driver-video-mach64 is the X.org driver for ATI Mach64.


%prep
%setup -q -n xf86-video-mach64-%{version}
%autopatch -p1

%build
autoreconf -ifs
%configure2_5x --disable-dri
%make

%install
%makeinstall_std

%files
%{_libdir}/xorg/modules/drivers/mach64_drv.la
%{_libdir}/xorg/modules/drivers/mach64_drv.so




%changelog
* Thu Nov 17 2016 tv <tv> 1:6.9.5-6.mga6
+ Revision: 1067736
- rebuild for xserver 1.19

* Sat Jul 23 2016 tmb <tmb> 1:6.9.5-5.mga6
+ Revision: 1043255
- rebuild for xorg-server 1.18.4

* Sun Feb 07 2016 cjw <cjw> 1:6.9.5-4.mga6
+ Revision: 942398
- use configure2_5x to fix build

* Wed Nov 11 2015 tv <tv> 1:6.9.5-3.mga6
+ Revision: 902297
- submit to core/release

* Wed Nov 11 2015 tv <tv> 1:6.9.5-2.mga6
+ Revision: 902055
- rebuild for new xserver

* Sun Jun 21 2015 tv <tv> 1:6.9.5-1.mga6
+ Revision: 837447
- drop merged patch
- new release
- rebuild for xserver 1.17

* Wed Oct 15 2014 umeabot <umeabot> 1:6.9.4-13.mga5
+ Revision: 739103
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:6.9.4-12.mga5
+ Revision: 690435
- Mageia 5 Mass Rebuild

* Mon Jun 09 2014 tv <tv> 1:6.9.4-11.mga5
+ Revision: 635021
- submit to core/release

* Fri Jun 06 2014 tv <tv> 1:6.9.4-10.mga5
+ Revision: 633679
- rebuild for new xserver RC

* Tue Apr 15 2014 tv <tv> 1:6.9.4-9.mga5
+ Revision: 614369
- rebuild for new xserver

* Tue Feb 04 2014 tv <tv> 1:6.9.4-8.mga5
+ Revision: 582314
- patch 1: fix segfaults (mga#8349)

* Fri Dec 06 2013 tmb <tmb> 1:6.9.4-7.mga4
+ Revision: 555559
- rebuild for new mesa

* Wed Dec 04 2013 tmb <tmb> 1:6.9.4-6.mga4
+ Revision: 555159
- try build with mesa 10

* Tue Dec 03 2013 tv <tv> 1:6.9.4-5.mga4
+ Revision: 554735
- patch 1: fix segfaults (mga#8349)

* Sat Oct 19 2013 umeabot <umeabot> 1:6.9.4-4.mga4
+ Revision: 525410
- Mageia 4 Mass Rebuild

* Thu May 30 2013 tv <tv> 1:6.9.4-3.mga4
+ Revision: 433167
- submit to core/release

* Mon Jan 14 2013 umeabot <umeabot> 1:6.9.4-2.mga4
+ Revision: 385993
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 20 2012 tv <tv> 1:6.9.4-1.mga3
+ Revision: 333387
- new release

* Wed Dec 12 2012 tv <tv> 1:6.9.3-3.mga3
+ Revision: 329959
- disable DRI support  (it's been nuked from upstream Mesa)
- add some patches from FC
- add some patches from xorg ml in order to fix crashes
  (should fix mga#8349)

* Thu Sep 13 2012 tv <tv> 1:6.9.3-2.mga3
+ Revision: 293581
- backport build faillure fix from git
- rebuild for new xserver

* Mon Jul 23 2012 tv <tv> 1:6.9.3-1.mga3
+ Revision: 273758
- new release

* Thu Jul 12 2012 tv <tv> 1:6.9.2-1.mga3
+ Revision: 270170
- new release

* Wed Jun 06 2012 tmb <tmb> 1:6.9.1-3.mga3
+ Revision: 256436
- rebuild for core/release

* Fri Jun 01 2012 tv <tv> 1:6.9.1-2.mga3
+ Revision: 253010
- rebuild b/c of ia32 failure

* Wed May 30 2012 tv <tv> 1:6.9.1-1.mga3
+ Revision: 249885
- new release

* Tue Dec 06 2011 tmb <tmb> 1:6.9.0-3.mga2
+ Revision: 177558
- submit to core/release

* Sat Oct 08 2011 tv <tv> 1:6.9.0-2.mga2
+ Revision: 153119
- rebuild for xserver-1.11

* Sat Apr 30 2011 tv <tv> 1:6.9.0-1.mga1
+ Revision: 93621
- new release (xserver-1.10 compatible)

* Sat Mar 05 2011 tmb <tmb> 1:6.8.2-6.mga1
+ Revision: 64699
- mach64: fix the pixmap private API change in x11-server 1.10

  + tv <tv>
    - rebuild for new xserver-1.10

* Fri Feb 11 2011 tmb <tmb> 1:6.8.2-4.mga1
+ Revision: 50229
- imported package x11-driver-video-mach64

